import request from '@/utils/request'

// 查询员工管理列表
export function listStaffManage(query) {
  return request({
    url: '/wuYe/staffManage/list',
    method: 'get',
    params: query
  })
}

export function listStaffManageNoPage(query) {
  return request({
    url: '/wuYe/staffManage/listNoPage',
    method: 'get',
    params: query
  })
}



// 查询员工管理详细
export function getStaffManage(staffId) {
  return request({
    url: '/wuYe/staffManage/' + staffId,
    method: 'get'
  })
}

// 新增员工管理
export function addStaffManage(data) {
  return request({
    url: '/wuYe/staffManage',
    method: 'post',
    data: data
  })
}

// 修改员工管理
export function updateStaffManage(data) {
  return request({
    url: '/wuYe/staffManage/put',
    method: 'post',
    data: data
  })
}

// 删除员工管理
export function delStaffManage(staffId) {
  return request({
    url: '/wuYe/staffManage/delete/' + staffId,
    method: 'get'
  })
}
